[arch-commits] Commit in sqlite3/repos (3 files)

Allan McRae allan at archlinux.org
Sat Oct 11 00:41:59 EDT 2008


    Date: Saturday, October 11, 2008 @ 00:41:59
  Author: allan
Revision: 14887

Merged revisions 14886 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/sqlite3/trunk

........
  r14886 | allan | 2008-10-11 14:40:37 +1000 (Sat, 11 Oct 2008) | 2 lines
  
  upgpkg: sqlite3 3.6.3-2
      fix tcl interface
........

Added:
  sqlite3/repos/extra-i686/tclsqlite.patch
    (from rev 14886, sqlite3/trunk/tclsqlite.patch)
Modified:
  sqlite3/repos/extra-i686/	(properties)
  sqlite3/repos/extra-i686/PKGBUILD

-----------------+
 PKGBUILD        |    5 ++++-
 tclsqlite.patch |   20 ++++++++++++++++++++
 2 files changed, 24 insertions(+), 1 deletion(-)


Property changes on: sqlite3/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /sqlite3/trunk:1-12987
   + /sqlite3/trunk:1-14886

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-11 04:40:37 UTC (rev 14886)
+++ extra-i686/PKGBUILD	2008-10-11 04:41:59 UTC (rev 14887)
@@ -4,7 +4,7 @@
 
 pkgname=sqlite3
 pkgver=3.6.3
-pkgrel=1
+pkgrel=2
 pkgdesc="A C library that implements an SQL database engine"
 arch=('i686' 'x86_64')
 license=('custom')
@@ -15,15 +15,18 @@
 replaces=('sqlite')
 source=(http://www.sqlite.org/sqlite-$pkgver.tar.gz
 	sqlite-3.5.8-pkgconfig-version.patch
+	tclsqlite.patch
 	license.txt)
 options=(!libtool)
 md5sums=('671d2715f33158abc47a7a2ddd6066c5'
          '025965a176173eaf21877f6daed088d4'
+         'fb443dfba2aeb1d4cd07212bb64c534c'
          'c1cdbc5544034d9012e421e75a5e4890')
 
 build() {
   cd ${srcdir}/sqlite-${pkgver}
   patch -Np1 -i ${srcdir}/sqlite-3.5.8-pkgconfig-version.patch || return 1
+  patch -Np1 -i ${srcdir}/tclsqlite.patch || return 1
   ./configure --prefix=/usr --enable-threadsafe  --disable-static || return 1
   make || return 1
   make DESTDIR=${pkgdir} install

Copied: sqlite3/repos/extra-i686/tclsqlite.patch (from rev 14886, sqlite3/trunk/tclsqlite.patch)
===================================================================
--- extra-i686/tclsqlite.patch	                        (rev 0)
+++ extra-i686/tclsqlite.patch	2008-10-11 04:41:59 UTC (rev 14887)
@@ -0,0 +1,20 @@
+diff -Naur sqlite-3.6.3-old/src/tclsqlite.c sqlite-3.6.3/src/tclsqlite.c
+--- sqlite-3.6.3-old/src/tclsqlite.c	2008-09-09 22:31:34.000000000 +1000
++++ sqlite-3.6.3/src/tclsqlite.c	2008-10-11 14:32:34.000000000 +1000
+@@ -1343,11 +1343,11 @@
+       Tcl_AppendResult(interp,"Error: non-null separator required for copy",0);
+       return TCL_ERROR;
+     }
+-    if(sqlite3StrICmp(zConflict, "rollback") != 0 &&
+-       sqlite3StrICmp(zConflict, "abort"   ) != 0 &&
+-       sqlite3StrICmp(zConflict, "fail"    ) != 0 &&
+-       sqlite3StrICmp(zConflict, "ignore"  ) != 0 &&
+-       sqlite3StrICmp(zConflict, "replace" ) != 0 ) {
++    if(strcmp(zConflict, "rollback") != 0 &&
++       strcmp(zConflict, "abort"   ) != 0 &&
++       strcmp(zConflict, "fail"    ) != 0 &&
++       strcmp(zConflict, "ignore"  ) != 0 &&
++       strcmp(zConflict, "replace" ) != 0 ) {
+       Tcl_AppendResult(interp, "Error: \"", zConflict, 
+             "\", conflict-algorithm must be one of: rollback, "
+             "abort, fail, ignore, or replace", 0);




More information about the arch-commits mailing list